Page MenuHomePhabricator

Researchers have page_id in X-Analytics field of webrequest logs
Closed, ResolvedPublic

Description

Narrowing scope of task to adding page_id specifically. If there are other fields to add, please list them.

From Dec 8, 2014 IRC chat w/ottomata

Background: Ori did it because ops would prefer if this logic was not in puppet/varnish

Benefit: will allow Research to join webrequets with specific pages without having to parse the URL and guess the link based on page title

Details

Related Gerrit Patches:
mediawiki/extensions/WikimediaEvents : wmf/1.25wmf14Insert page_id and ns on XAnalyticsHeader
mediawiki/extensions/WikimediaEvents : masterInsert page_id and ns on XAnalyticsHeader
mediawiki/extensions/WikimediaEvents : wmf/1.25wmf15Insert page_id and ns on XAnalyticsHeader

Event Timeline

ggellerman raised the priority of this task from to Needs Triage.
ggellerman updated the task description. (Show Details)
ggellerman added a project: Analytics-Cluster.
ggellerman changed Security from none to None.
ggellerman added subscribers: Aklapper, ggellerman.

@DarTar - please add relevant Research team members to cc. Thanks!

Halfak added a subscriber: Halfak.Dec 9 2014, 9:49 PM
Halfak awarded a token.Dec 9 2014, 9:52 PM
kevinator triaged this task as High priority.Dec 9 2014, 11:48 PM
kevinator renamed this task from Implement functionality to have things like page_id in the X-Analytics field to Add page_id in the X-Analytics field .Dec 24 2014, 5:11 PM
kevinator updated the task description. (Show Details)
kevinator renamed this task from Add page_id in the X-Analytics field to Researchers have page_id in X-Analytics field of webrequest logs .Jan 8 2015, 8:20 AM
gerritbot added a subscriber: gerritbot.

Change 187304 had a related patch set uploaded (by Ottomata):
Insert page_id on XAnalyticsHeader

https://gerrit.wikimedia.org/r/187304

Patch-For-Review

Change 157841 had a related patch set uploaded (by Ottomata):
Initial commit

https://gerrit.wikimedia.org/r/157841

Patch-For-Review

Ottomata added a subscriber: ori.Jan 29 2015, 1:25 AM

This is going to happen!

I chatted with Ori about this today. The extension will not work in all cases due to unfortunate output buffering races that are possible in Mediawiki. However, for simple use cases (like adding page_id), this should work just fine.

Ori updated the XAnalytics extension and has submitted a patch to use it to add page_id. Now we just need to get it deployed.

Ori will shepherd that? :D

Change 187304 merged by Ori.livneh:
Insert page_id and ns on XAnalyticsHeader

https://gerrit.wikimedia.org/r/187304

Change 188281 had a related patch set uploaded (by Ori.livneh):
Insert page_id and ns on XAnalyticsHeader

https://gerrit.wikimedia.org/r/188281

Patch-For-Review

Change 188281 merged by Ori.livneh:
Insert page_id and ns on XAnalyticsHeader

https://gerrit.wikimedia.org/r/188281

Change 188282 had a related patch set uploaded (by Ori.livneh):
Insert page_id and ns on XAnalyticsHeader

https://gerrit.wikimedia.org/r/188282

Patch-For-Review

Change 188282 merged by Ori.livneh:
Insert page_id and ns on XAnalyticsHeader

https://gerrit.wikimedia.org/r/188282

RandomDSdevel rescinded a token.
RandomDSdevel awarded a token.